html, body {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    overflow: visible;

}

.important {
    height: auto !important;
    position: relative !important;
}

.full {
    height: 200vh;
    background: #FFFFFF;
    background: radial-gradient(circle, rgba(255, 255, 255, 1) 20%, rgba(69, 105, 144, 0.75) 15%, rgba(255, 255, 255, 1) 40%, rgba(69, 105, 144, 0.75) 35%, rgba(255, 255, 255, 1) 60%, rgba(69, 105, 144, 0.75) 55%, rgba(255, 255, 255, 1) 75%);
    background-repeat: no-repeat;
    background-size: cover;
}

.long {
    min-height: 100%; 
    
    background: #FFFFFF;
    background: radial-gradient(circle, 
        rgba(255, 255, 255, 1) 20%, 
        rgba(69, 105, 144, 0.75) 15%, 
        rgba(255, 255, 255, 1) 40%, 
        rgba(69, 105, 144, 0.75) 35%, 
        rgba(255, 255, 255, 1) 60%, 
        rgba(69, 105, 144, 0.75) 55%, 
        rgba(255, 255, 255, 1) 75%
    );

    background-attachment: fixed; 
    background-size: cover;
    background-repeat: no-repeat;
}


.half {
    height: 100vh;
    background: #FFFFFF;
    background: radial-gradient(circle at 50% 100vh, rgba(255, 255, 255, 1) 20%, rgba(69, 105, 144, 0.75) 15%, rgba(255, 255, 255, 1) 40%, rgba(69, 105, 144, 0.75) 35%, rgba(255, 255, 255, 1) 60%, rgba(69, 105, 144, 0.75) 55%, rgba(255, 255, 255, 1) 75%);
    background-repeat: no-repeat;
    background-size: cover;
}


a {
    text-decoration: none;
    color: black;
}

header {
    display: flex;
    margin: 15px;
    padding: 5px;
}

#header-container{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    padding-left: 40px;
    padding-right: 40px;
}

#header-logo {
    height: 50px;
    width: auto;
}

#header-logo:hover {
    transition: all 0.2s;
    transform: rotate(5deg);
    scale: 1.1;
}

#header-logo:active {
    scale: 0.9;
    transform: rotate(-5deg);
}

#header-url {
    height: 70px;
}

#earth-draw {
    width: 20vw;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;

}

main {
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    justify-content: space-between;
    align-items: center;

}

.full-main {
    height: 160vh;
}

#hero {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 70vh;
}

#title-name {
    width: 80%;
    height: auto;
}

#container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    justify-content: center;
    margin-bottom: 80px;
}

.link-img {
    height: 200px;
    transition: all 0.5s ease;
}

@media (max-width: 60.5em) {
    #container {
        grid-template-columns: 1fr;
    }
    .link-img {
        height: 150px;
    }

    #earth-draw {
        opacity: 30%;
        min-width: 150px;
    }

}




.link[href="proyectos.html"]:hover .link-img {
    content: url('img/PROYECTOSL.png');
}

.link[href="herramientas.html"]:hover .link-img {
    content: url('img/HERRAMIENTASL.png');
}

.link[href="sobremi.html"]:hover .link-img {
    content: url('img/SOBREMIL.png');
}

.link[href="element-images/Unai_s_resume.pdf"]:hover .link-img {
    content: url('img/CURRICULUML.png');
}

.link[href="https://github.com/uunaign"]:hover .link-img {
    content: url('img/GITHUBL.png');
}

.link[href="contacto.html"]:hover .link-img {
    content: url('img/CONTACTOL.png');
}

#main-category {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#hero-category {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 20vh;
}

#title-category {
    width: 50%;
    height: auto;
    top: 0;
}

.grid-proyectos {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 40px;
}

.proyect-container {
    width: 60vw;
    padding: 20px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 36px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    transition: all 0.2s;

}

.proyect-container:hover {
    transition: all 0.2s;
    scale: 1.05;
}

.proyect-image {
    width: 100%;
    border-radius: 16px;
}



.spacer {
    display: block;
    height: 100px;
}

.grid-herramientas {
    margin-top: 100px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
}
.tool-item {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 200px;
    width: 200px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.3);
}
.tool-item img {
    max-width: 150px;
    max-height: 150px;
}

@media (max-width: 60.5em){

    .proyect-container {
        padding: 10px;
        width: 90vw;
    }

    .proyect-image {
        border-radius: 24px;
    }

    .grid-herramientas {
        gap: 10px;
    }

    .tool-item {
        height: 70px;
        width: 70px;
    }
    .tool-item img {
        max-width: 50px;
        max-height: 50px;
    }
}

fieldset {
    display: flex;
    padding: 30px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 36px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.3);

    height: 60vh;
    width: 400px;
    align-items: center;
    justify-content: center;
}


form {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 60vh;
    justify-content: space-between;
}

label {
    margin-top: 5px;
}

textarea {
    height: 100px;
    resize: none;
    border-radius: 12px;
    font-size: large;

}

#submit {
    background-color: black;
    color: white;
    height: 50px;
}

input {
    border-radius: 10px;
    height: 30px;
    border: solid 1px black;
    font-size: large;
}

@media (max-width: 60.5em){
    fieldset {
        scale: 0.7;
    }


}

.info-container {
    background: rgba(255, 255, 255, 0.2);
    border-radius: 56px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    padding: 20px;
    width: 800px;
}

.top-info {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: start;
    align-items: center;
}

#info-descripcion {
    text-align: justify;
    font-weight: 200;
}

#profilepic {
    width: 30%;
    border-radius: 36px;
    margin-right: 20px;
}

@media (max-width: 40.5em){
    .info-container {
        width: 70vw;
        padding: 10px;
    }

    #info-name {
        font-size: 5vw;
    }

    .info-container {
        border-radius: 46px;
    }
    #info-descripcion {
        font-size: 3.5vw;
    }


}

.filter-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 15px;
    margin: 0 0 50px 0;
}

.filtros {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
    margin: 0 0 50px 0;
}

.filter-titles {
    transition: opacity 0.3s ease;
    cursor: pointer;
    width: 10%;

}

@media (max-width: 40.5em){
    
    .filtros {
        flex-direction: column;
    }
    .filter-titles {
        width: 40%;
    }

}